Problems with CGI files

Alfredo
2003-05-08
2003-05-11
  • Alfredo
    Alfredo
    2003-05-08

    Hi,

    I have installed EPIC plugin and it works OK with files with .pl and .pm extension, but when I try to open perl documents with .cgi extension it fails and I get the message "The file has been changed on the file system. Do you want to load the changes?" and I cannot open it with EPIC Editor.

    Could you help me with this? I don't know if it's a problem of the plugin or mine.

    Eclipse  Version: 2.1.0 ; Build id: 200303272130
    EPIC version 0.1.0

    Thank you.

     
    • Jochen Ruehl
      Jochen Ruehl
      2003-05-08

      Hi,

      found the problem.
      For a quick fix please have a look at the file
      eclipse/plugins/org.epic.ext.cbg.editor_0.2.8/modes/catalog

      The contents of the file should look like this:
      <MODES>
      <MODE NAME="perl"        FILE="perl.xml"
                      FILE_NAME_GLOB="*.{pl,pm,ipl,cgi}"
                      FIRST_LINE_GLOB="#!/*perl*" />
      </MODES>

      This should fix the problem.
      Will be fixed in the next version.

      Hope that helps....

      Bye
      Jochen

       
    • Alfredo
      Alfredo
      2003-05-09

      It works!

      Thanks,
      Alfredo

       
    • Just for anyone else having this problem,  the contents of  FILE_NAME_GLOB appear to be case sensitive as well.

      Once I fixed my catalog files, I still have to add PL in addition to the pl already listed so I could edit my Makefile.PL files.